Name: pkinit-nss
Version: 0.7.6
Release: 1%{?dist}
Source: http://people.redhat.com/~nalin/pkinit-nss/%{name}-%{version}-1.tar.gz
License: LGPL
Group: System Environment/Libraries
Summary: PKINIT for MIT Kerberos
URL: http://people.redhat.com/~nalin/pkinit-nss/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: nss-devel >= 3.11.2, pkgconfig

# The plugin interface is not yet public, but not expected to change in an
# undetectable way before 1.7.
BuildRequires: krb5-devel >= 1.6.1

%description
The pkinit-nss package implements the PKINIT standard for MIT Kerberos.  It
does so using the Mozilla NSS library.

%prep
%setup -q -n %{name}-%{version}-1
cp doc/openssl/make-certs.sh .
chmod -x make-certs.sh

%build
%configure --disable-static --enable-gcc-warnings
make

%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_libdir}/krb5/plugins/preauth/*.{a,la}

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog doc/README doc/STANDARDS doc/TODO backport/*.patch
%doc doc/CONFIGURATION
%doc make-certs.sh
%{_bindir}/pkinit-show-cert-guid
%{_bindir}/pkinit-get-san
%{_libdir}/krb5

%changelog
* Wed Aug 27 2008 Nalin Dahyabhai <nalin@redhat.com> 0.7.6-1
- correctly initialize NSS after the KDC detaches from the terminal, so that
  we can still read the on-disk database with NSS 3.12
- fix new wire-incompatibilities with some implementations by making the
  version number of signed-data items configurable (fallout from #242109)

* Fri Aug 22 2008 Nalin Dahyabhai <nalin@redhat.com> 0.7.5-1
- add configurable client-side certificate matching
- add more configurable KDC acceptance criteria
- fix wire-incompatibilities with some newer implementations (#242109)

* Tue Oct 23 2007 Nalin Dahyabhai <nalin@redhat.com> 0.7.4-1
- update to be able to provide the new entry points for krb5 1.6.3

* Wed Jul 11 2007 Nalin Dahyabhai <nalin@redhat.com> 0.7.3-1
- fix garbage prompts for non-software devices (#247889)

* Wed Jun 20 2007 Nalin Dahyabhai <nalin@redhat.com> 0.7.2-1
- bug fixes

* Tue Jun  5 2007 Nalin Dahyabhai <nalin@redhat.com> 0.7.1-1
- bug fixes

* Wed May 30 2007 Nalin Dahyabhai <nalin@redhat.com> 0.7.0-1
- add support for flat-file certificates and keys

* Thu May 24 2007 Nalin Dahyabhai <nalin@redhat.com> 0.6.1-1
- fix compilation with krb5 1.6.1
- correct the license tag: LGPL, not BSD

* Fri May  4 2007 Nalin Dahyabhai <nalin@redhat.com> 0.6.0-1
- set the URL to the location of the tarballs

* Mon Feb  5 2007 Nalin Dahyabhai <nalin@redhat.com>
- fix encoding/interpreting of e_data, encoding of DH parameters, error
  reporting for revoked certificates

* Mon Feb  5 2007 Nalin Dahyabhai <nalin@redhat.com> 0.5.0-1
- add protocol-level error reporting and handling

* Thu Jan 25 2007 Nalin Dahyabhai <nalin@redhat.com> 0.4.0-1
- make debug logging a run-time, not compile-time option

* Mon Jan 22 2007 Nalin Dahyabhai <nalin@redhat.com> 0.3.5-1
- fix inclusion of the signer certifying chain now that we're careful to
  destroy certificates when we're finished with them (#223552)

* Fri Jan 19 2007 Nalin Dahyabhai <nalin@redhat.com> 0.3.4-1
- fix validation of signer certificates when the entire certifying chain isn't
  already known to us, but intermediate links are provided in signed-data
  (#223552)

* Fri Jan 12 2007 Nalin Dahyabhai <nalin@redhat.com> 0.3.3-1
- update preauth plugin support patch to base off of 1.5.1-1.6 diff
- unref/free certificates, keys, contexts, and slots once we're finished
  using them (#221936)

* Wed Jan 10 2007 Nalin Dahyabhai <nalin@redhat.com> 0.3.2-3_pal18998
- temporarily disable shutdowns of NSS while a proper fix for #221936 gets
  written

* Mon Jan  8 2007 Nalin Dahyabhai <nalin@redhat.com> 0.3.2-2_pal18998
- add the configuration text file

* Mon Jan  8 2007 Nalin Dahyabhai <nalin@redhat.com> 0.3.2-1_pal18998
- fix iteration over the certificate chain when we're creating signed data
  messages (#221917)

* Thu Dec 21 2006 Nalin Dahyabhai <nalin@redhat.com> 0.3.1-1_pal18998
- implement a "mappings_file" option a la Heimdal's, so that we don't have
  to have the principal name encoded in the certificate's subjectAltName
  extension in order to accept it for a particular Kerberos identity (#212867)

* Tue Dec 19 2006 Nalin Dahyabhai <nalin@redhat.com> 0.3.0-1_pal18998
- fix protocol implementation errors which caused interop problems with Heimdal
- update preauth plugin support backport to 1.6 branch, revision 18998

* Wed Oct 18 2006 Nalin Dahyabhai <nalin@redhat.com> 0.2.1-1_pal18750
- fix a double-free

* Wed Oct 18 2006 Nalin Dahyabhai <nalin@redhat.com> 0.2.0-1_pal18750
- implement DH-based key agreement
- disable OCSP by default on the client-side (#209244)
- update to changes for newer support backport

* Wed Oct 18 2006 Nalin Dahyabhai <nalin@redhat.com> 0.1.0-3_pal18695
- turn on more warnings by default

* Wed Oct 18 2006 Nalin Dahyabhai <nalin@redhat.com> 0.1.0-2_pal18695
- add PAL version to release field (informative, #211399)

* Wed Oct 18 2006 Nalin Dahyabhai <nalin@redhat.com> 0.1.0-2
- add missing %%clean section (#211399)

* Wed Oct 18 2006 Nalin Dahyabhai <nalin@redhat.com>
- initial build
